Bug 863733 - [abrt] python-2.7.3-7.2.fc17: size: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: size: Process /usr/bin/python2.7 was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:08bf4378ede0e2b8251b2e1d500...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 20:25 EDT by Don Church
Modified: 2013-07-31 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (9.66 KB, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: environ (1.25 KB, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: backtrace (77.22 KB, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: cgroup (126 bytes, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: maps (56.28 KB, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: dso_list (11.65 KB, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: var_log_messages (147 bytes, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details
File: open_fds (318 bytes, text/plain)
2012-10-06 20:25 EDT, Don Church
no flags Details

  None (edit)
Description Don Church 2012-10-06 20:25:37 EDT
Description of problem:
While using WxGlade "Version HG on Python 2.7.3 and wxPython 2.8.12.0 " on a project using the notebook widget which contains about 9 tabs, each of which contain approximately 20 to 50 widgets, I decided to rearrange a few tabs.  So I created a temporary tab, then cut and pasted several entire pages of the notebook before ultimately deleting the tempory tab that I created.  When I clicked the apply button on the main menu of the notebook widget, WxGlade crashed and the Python error window appeared.

I'm pretty sure this will happen again being that previous errors with this application have typically been repeatable, but I will try the rearranging again and report if the crash fails to repeat.


Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        python /usr/share/wxGlade/wxglade.py
crash_function: size
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 size at src/common/dynarray.cpp:411
: #1 wxBaseArrayPtrVoid::Index at src/common/dynarray.cpp:405
: #2 Index at src/generic/treectlg.cpp:54
: #3 Remove at src/generic/treectlg.cpp:54
: #4 wxGenericTreeCtrl::Delete at src/generic/treectlg.cpp:1748
: #5 _wrap_TreeCtrl_Delete at src/gtk/_controls_wrap.cpp:36760
: #6 ext_do_call at /usr/src/debug/Python-2.7.3/Python/ceval.c:4408
: #7 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2779
: #8 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
: #9 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
Comment 1 Don Church 2012-10-06 20:25:40 EDT
Created attachment 622864 [details]
File: core_backtrace
Comment 2 Don Church 2012-10-06 20:25:41 EDT
Created attachment 622865 [details]
File: environ
Comment 3 Don Church 2012-10-06 20:25:43 EDT
Created attachment 622866 [details]
File: backtrace
Comment 4 Don Church 2012-10-06 20:25:44 EDT
Created attachment 622867 [details]
File: limits
Comment 5 Don Church 2012-10-06 20:25:45 EDT
Created attachment 622868 [details]
File: cgroup
Comment 6 Don Church 2012-10-06 20:25:47 EDT
Created attachment 622869 [details]
File: maps
Comment 7 Don Church 2012-10-06 20:25:48 EDT
Created attachment 622870 [details]
File: dso_list
Comment 8 Don Church 2012-10-06 20:25:49 EDT
Created attachment 622871 [details]
File: var_log_messages
Comment 9 Don Church 2012-10-06 20:25:51 EDT
Created attachment 622872 [details]
File: open_fds
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:06:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2013-05-10 01:06:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2013-05-10 01:09:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2013-07-03 16:14:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 15:50:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.